CWTextInternal Namespace Reference

Internal: the structures of a CWText. More...

## Classes

struct | PLC
| Internal : the different plc types: mainly for debugging. More...
struct | Paragraph
| Internal: class to store the paragraph properties. More...
struct | ParagraphPLC
struct | Section
| internal class used to store a section More...
struct | TextZoneInfo
| internal class used to store a text zone More...
struct | Token
| Internal: class to store field definition: TOKN entry. More...
struct | Zone
struct | State
| Internal: the state of a CWText. More...

## Enumerations

enum | PLCType { P_Font, P_Ruler, P_Child, P_Section, P_TextZone, P_Token, P_Unknown }
| the different plc type More...
enum | TokenType { TKN_UNKNOWN, TKN_FOOTNOTE, TKN_PAGENUMBER, TKN_GRAPHIC }

## Functions

std::ostream & | operator<< (std::ostream &o, PLC const &plc)
std::ostream & | operator<< (std::ostream &o, Token const &tok)
| operator<< for Token More...

## Detailed Description

Internal: the structures of a CWText.

## Enumeration Type Documentation

enum CWTextInternal::PLCType

the different plc type

Enumerator
P_Font |
P_Ruler |
P_Child |
P_Section |
P_TextZone |
P_Token |
P_Unknown |

enum CWTextInternal::TokenType

Enumerator
TKN_UNKNOWN |
TKN_FOOTNOTE |
TKN_PAGENUMBER |
TKN_GRAPHIC |

## Function Documentation

std::ostream& CWTextInternal::operator<< | ( | std::ostream & | o,
|  | PLC const & | plc
| ) |  |

std::ostream& CWTextInternal::operator<< | ( | std::ostream & | o,
|  | Token const & | tok
| ) |  |

operator<< for Token

operator <<